Bug 160759 - [PATCH] devel/p5-ExtUtils-MakeMaker: update to 6.59
[PATCH] devel/p5-ExtUtils-MakeMaker: update to 6.59
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-16 05:30 UTC by freebsd
Modified: 2011-12-12 16:43 UTC (History)
1 user (show)

See Also:


Attachments
p5-ExtUtils-MakeMaker-6.59.patch (6.43 KB, patch)
2011-09-16 06:19 UTC, freebsd
no flags Details | Diff
p5-ExtUtils-Install-1.54_1.patch (507 bytes, patch)
2011-09-16 06:19 UTC, freebsd
no flags Details | Diff
p5-ExtUtils-MakeMaker-6.59-warnings.txt (1.73 KB, text/plain)
2011-10-25 23:21 UTC, freebsd
no flags Details
p5-ExtUtils-MakeMaker-6.62.patch (4.80 KB, patch)
2011-10-26 07:25 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2011-09-16 05:30:13 UTC
For devel/p5-ExtUtils-MakeMaker:
- Update to 6.59
- Remove unnecessary CONFLICTS with devel/p5-ExtUtils-Install
- Do not install any bundled dependancy modules. Instead, satisfy run-time dependancies
  using p5- ports. This alleviates the problem of having conflicting files
  with devel/p5-ExtUtils-Install.
  Recommended practice as per author's SPECIAL NOTE TO PACKAGERS at
  http://cpansearch.perl.org/src/MSTROUT/ExtUtils-MakeMaker-6.59/INSTALL

Added file(s):
- files/patch-Makefile_PL

Removed file(s):
- files/patch-Makefile.PL


For devel/p5-ExtUtils-Install:
- Remove unnecessary CONFLICTS with devel/p5-ExtUtils-MakeMaker

Port maintainer (perl@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-09-16 05:30:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 freebsd 2011-09-16 06:19:44 UTC
Sorry, the patches seem to have gone awol in the original PR submission. 
Please find them attached now.
Comment 3 schwern 2011-10-25 20:33:14 UTC
Hi,

I maintain ExtUtils::MakeMaker.  This patch is a correct solution to the
conflict between ExtUtils::MakeMaker and ExtUtils::Install.  MakeMaker is
supposed to depend on ExtUtils::Install, but to do so normally would introduce
a dependency loop.

A less invasive solution would be to delete the contents of bundled.  Make
sure the bundled dependencies are marked as package dependencies.

PS  If there is some sort of environment variable FreeBSD sets while creating
a package, I could have MakeMaker watch for that.  It would not use the
bundled versions and instead declare them as dependencies.

Thanks,
Schwern
Comment 4 freebsd 2011-10-25 23:21:13 UTC
Hi Schwern,

When I started on this patch, I initially took the less invasive route 
you mentioned (deleting contents of bundled/). However, this resulted in 
lots of unnecessary warnings in the "Checking if your kit is 
complete..." stage (please see attached log).

As these warnings would be displayed every time the port is built, I 
elected for the more radical approach of patching out support for the 
bundled dists completely.

With regards to your question regarding identifying FreeBSD, the ports 
make framework defines OPSYS as "FreeBSD" (minus the quotes) and should 
be available as an envvar in Makefile.PL

Regards,

jaset.
Comment 5 schwern 2011-10-25 23:55:55 UTC
On 2011.10.25 3:21 PM, Jase Thew wrote:
> When I started on this patch, I initially took the less invasive route you
> mentioned (deleting contents of bundled/). However, this resulted in lots of
> unnecessary warnings in the "Checking if your kit is complete..." stage
> (please see attached log).

Remove all the bundled/* lines from the MANIFEST.  That should do it and it's
safe.


> With regards to your question regarding identifying FreeBSD, the ports make
> framework defines OPSYS as "FreeBSD" (minus the quotes) and should be
> available as an envvar in Makefile.PL

Ok, thanks.  I'll see about adding that in.


-- 
52. Not allowed to yell "Take that Cobra" at the rifle range.
    -- The 213 Things Skippy Is No Longer Allowed To Do In The U.S. Army
           http://skippyslist.com/list/
Comment 6 freebsd 2011-10-26 07:25:54 UTC
Hi,

Please find attached an updated patch for devel/p5-ExtUtils-MakeMaker to 
update it to v6.62.

As per the feedback from MSCHWERN, a more elegant approach has been 
taken in this updated patch to disabling the installation of the bundled 
dists.

The p5-ExtUtils-Install-1.54_1.patch in an earlier post in the PR is 
still relevant and needs also to be applied/committed.

Regards,

Jase Thew.
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-12-08 15:26:36 UTC
Responsible Changed
From-To: perl->sunpoet

I'll take it.
Comment 8 dfilter freebsd_committer 2011-12-12 16:25:52 UTC
sunpoet     2011-12-12 16:25:42 UTC

  FreeBSD ports repository

  Modified files:
    devel/p5-ExtUtils-MakeMaker Makefile distinfo pkg-plist 
  Removed files:
    devel/p5-ExtUtils-MakeMaker/files patch-Makefile.PL 
  Log:
  - Update to 6.62
  - Remove CONFLICTS with devel/p5-ExtUtils-Install
  
  Note that this port now depends on modules from Perl releases and ports tree
  instead of its bundled ones.
  
  Changes:        http://search.cpan.org/dist/ExtUtils-MakeMaker/Changes
  PR:             ports/160759
  Submitted by:   Jase Thew <freebsd@beardz.net>
  
  Revision  Changes    Path
  1.24      +26 -10    ports/devel/p5-ExtUtils-MakeMaker/Makefile
  1.18      +2 -2      ports/devel/p5-ExtUtils-MakeMaker/distinfo
  1.2       +0 -11     ports/devel/p5-ExtUtils-MakeMaker/files/patch-Makefile.PL (dead)
  1.11      +4 -10     ports/devel/p5-ExtUtils-MakeMaker/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-12-12 16:43:07 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!